// animate-sass
@use 'animate-sass/_animate.scss' with (
  $use-fade-in: true, // Activate all 'fadeIn*' classes
  $use-fade-out: true, // Activate all 'fadeOut*' classes
  $use-bounce-in: true // Activate all 'bounceIn*' classes
);

@layer base {
  h1 {
    @apply text-3xl;
    @apply mb-7;
  }

  h2 {
    @apply text-2xl;
    @apply mb-6;
  }

  a {
    @apply @dark:text-@dark-primary;
    @apply @light:text-@light-primary;
  }
  
  a:hover {
    @apply @dark:text-@dark-primary;
    @apply @light:text-@light-primary;
  }

  html,
  body {
    min-height: 100%;
    width: 100%;
  }

  body {
    @apply @dark:text-@dark-text-primary @light:text-@light-text-primary;
    @apply @dark:bg-@dark-jaguar @light:bg-@light-alabaster;
  }
}

._veryfaster {
  animation-duration: 0.15s;
}

._veryfast {
  animation-duration: 0.3s;
}

._fast {
  animation-duration: 0.5s;
}

._slow {
  animation-duration: 2s;
}

._slower {
  animation-duration: 3s;
}

.animation-delay-150 {
  animation-delay: 150ms;
}